import { API } from './api';
import { ICallbackServiceValidate } from '../utils/callback-service';
export interface IAPIRequestOptions {
    api: API;
    method: string;
    params: Record<string, any>;
}
export declare class APIRequest {
    method: string;
    params: Record<string, any>;
    retries: number;
    promise: Promise<any>;
    resolve: (value: unknown) => unknown;
    reject: (reason: unknown) => unknown;
    captchaValidate?: ICallbackServiceValidate;
    protected api: API;
    /**
     * Constructor
     */
    constructor({ api, method, params }: IAPIRequestOptions);
    /**
     * Returns custom tag
     */
    get [Symbol.toStringTag](): string;
    /**
     * Returns string to execute
     */
    toString(): string;
    /**
     * Sends a request to the server
     */
    make(): Promise<any>;
}
