import { VKError } from './error';
import { APIErrorCode } from '../api/schemas/constants';
export interface IAPIErrorParam {
    key: string;
    value: string;
}
export interface IAPIErrorOptions {
    error_code: number;
    error_msg: string;
    request_params: IAPIErrorParam[];
    captcha_sid?: number;
    captcha_img?: string;
    redirect_uri?: string;
    confirmation_text?: string;
}
export declare class APIError extends VKError {
    /**
     * Request parameters
     */
    params: IAPIErrorParam[];
    /**
     * Session identifier captcha
     */
    captchaSid?: number;
    /**
     * Image of captcha
     */
    captchaImg?: string;
    /**
     * Redirect URL, e.g. validation
     */
    redirectUri?: string;
    /**
     * Required confirmation text
     */
    confirmationText?: string;
    /**
     * Constructor
     */
    constructor(payload: IAPIErrorOptions);
}
export { APIErrorCode };
