export interface IVKErrorOptions {
    code: string | number;
    message: string;
    cause?: Error;
}
/**
 * General error class
 */
export declare class VKError extends Error {
    /**
     * Error code
     */
    code: string | number;
    /**
     * Error stack
     */
    stack: string;
    /**
     * Error cause
     */
    cause?: Error;
    /**
     * Constructor
     */
    constructor({ code, message, cause }: IVKErrorOptions);
    /**
     * Returns custom tag
     */
    get [Symbol.toStringTag](): string;
    /**
     * Returns property for json
     */
    toJSON(): Pick<this, keyof this>;
}
