import { ExternalAttachment, ExternalAttachmentFactoryOptions } from './external';
import { AttachmentType, kSerializeData } from '../../utils/constants';
export interface IGiftAttachmentPayload {
    id: number;
}
export type GiftAttachmentOptions = ExternalAttachmentFactoryOptions<IGiftAttachmentPayload>;
export declare class GiftAttachment extends ExternalAttachment<IGiftAttachmentPayload, AttachmentType.GIFT | 'gift'> {
    /**
     * Constructor
     */
    constructor(options: GiftAttachmentOptions);
    /**
     * Returns the identifier gift
     */
    get id(): number;
    /**
     * Returns the custom data
     */
    [kSerializeData](): object;
}
