/**
 * Returns params for execute
 */
export declare const getExecuteParams: (params: Record<string, object | string>) => string;
/**
 * Returns method for execute
 */
export declare const getExecuteMethod: (method: string, params?: Record<string, object | string>) => string;
/**
 * Returns chain for execute
 */
export declare const getChainReturn: (methods: string[]) => string;
/**
 * Resolve task
 */
export declare const resolveExecuteTask: (tasks: {
    resolve: (value: unknown) => void;
    reject: (error: object) => void;
}[], result: {
    errors: object[];
    response: (object | false)[];
}) => void;
/**
 * Returns random ID
 */
export declare const getRandomId: () => number;
/**
 * Delay N-ms
 */
export declare const delay: (delayed: number) => Promise<void>;
/**
 * Decodes HTML entities
 */
export declare const unescapeHTML: (text: string) => string;
/**
 * Copies object params to new object
 */
export declare const pickProperties: <T, K extends keyof T>(params: T, properties: K[]) => Pick<T, K>;
/**
 * Returns peer id type
 */
export declare const getPeerType: (id: number) => string;
/**
 * Displays deprecated message
 */
export declare const showDeprecatedMessage: (message: string) => void;
export declare const applyMixins: (derivedCtor: any, baseCtors: any[]) => void;
